de.dhbwstuttgart.syntaxtree

## Class FormalParameter

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.FormalParameter

- All Implemented Interfaces:
    IItemWithOffset, Typeable, TypeInsertable
  Direct Known Subclasses:
    LambdaParameter

      public class FormalParameter
      extends SyntaxTreeNode
      implements Typeable, TypeInsertable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private DeclId` | `declid`
    `protected static Logger` | `inferencelog`
    `private Type` | `type`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormalParameter(DeclId name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeInsertPoint` | `createTypeInsertPoint(TypePlaceholder tph, ResultSet resultSet)` Errechnet den TypeInsertPoint fÃ¼r das TypeInsertable.
    `boolean` | `equals(java.lang.Object object)`
    `Menge<SyntaxTreeNode>` | `getChildren()`
    `DeclId` | `getDeclId()`
    `java.lang.String` | `getDescription()` Eine Beschreibung/Name des SyntaxTree-Nodes
    `java.lang.String` | `getIdentifier()`
    `int` | `getLineNumber()` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
    `int` | `getOffset()` Author: Thomas Hornberger 09.04.2006
    `Type` | `getType()`
    `java.lang.String` | `getTypeInformation()`
    `int` | `getTypeLineNumber()` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
    `java.lang.String` | `getTypeName()`
    `int` | `getVariableLength()`
    `void` | `parserPostProcessing(SyntaxTreeNode parent)` Wird nach dem Parsen aufgerufen.
    `JavaCodeResult` | `printJavaCode(ResultSet resultSet)`
    `void` | `set_DeclId(DeclId did)`
    `void` | `setOffset(int offset)`
    `void` | `setType(Type t)` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
    `java.lang.String` | `toString()`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          private Type type

    - #### declid

          private DeclId declid

    - #### inferencelog

          protected static Logger inferencelog

  - ### Constructor Detail

    - #### FormalParameter

          public FormalParameter(DeclId name)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `SyntaxTreeNode`

    - #### setType

          public void setType(Type t)

      Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
      Specified by:
        `setType` in interface `Typeable`
      Parameters:
        `t` -

    - #### set_DeclId

          public void set_DeclId(DeclId did)

    - #### getIdentifier

          public java.lang.String getIdentifier()

      Specified by:
        `getIdentifier` in interface `TypeInsertable`

    - #### getType

          public Type getType()

      Specified by:
        `getType` in interface `Typeable`

    - #### getTypeName

          public java.lang.String getTypeName()

    - #### getOffset

          public int getOffset()

      Author: Thomas Hornberger 09.04.2006
      Specified by:
        `getOffset` in interface `IItemWithOffset`
      Specified by:
        `getOffset` in interface `TypeInsertable`
      Returns:

    - #### getLineNumber

          public int getLineNumber()

      Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
      Returns:

    - #### getTypeLineNumber

          public int getTypeLineNumber()

      Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
      Returns:

    - #### getTypeInformation

          public java.lang.String getTypeInformation()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### printJavaCode

          public JavaCodeResult printJavaCode(ResultSet resultSet)

    - #### setOffset

          public void setOffset(int offset)

      Specified by:
        `setOffset` in interface `TypeInsertable`

    - #### getChildren

          public Menge<SyntaxTreeNode> getChildren()

      Specified by:
        `getChildren` in class `SyntaxTreeNode`

    - #### parserPostProcessing

          public void parserPostProcessing(SyntaxTreeNode parent)

      Description copied from class: `SyntaxTreeNode`
      Wird nach dem Parsen aufgerufen. ErfÃ¼llt folgenden Aufgaben: 1. FÃ¼llt fehlende Typangaben mit TPHs auf. 2. VerknÃ¼pft die Knoten des Syntaxbaums. (setzt Parent) 3. Wechselt RefTypes gegebenenfalls mit GenericTypeVars aus. 4. FÃ¼hrt einen Teil des Syntaxckecks durch.
      Overrides:
        `parserPostProcessing` in class `SyntaxTreeNode`

    - #### createTypeInsertPoint

          public TypeInsertPoint createTypeInsertPoint(TypePlaceholder tph,
                                                       ResultSet resultSet)

      Description copied from interface: `TypeInsertable`
      Errechnet den TypeInsertPoint fÃ¼r das TypeInsertable. TypeInsertPoints sollten nur Ã¼ber diese Funktion erstellt werden.
      Specified by:
        `createTypeInsertPoint` in interface `TypeInsertable`
      Returns:
        - kann auch null zurÃ¼ckgeben.

    - #### getVariableLength

          public int getVariableLength()

      Specified by:
        `getVariableLength` in interface `IItemWithOffset`

    - #### getDeclId

          public DeclId getDeclId()

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from class: `SyntaxTreeNode`
      Eine Beschreibung/Name des SyntaxTree-Nodes
      Overrides:
        `getDescription` in class `SyntaxTreeNode`
      Returns: